/* **********************************************************************************
 * Project Name: Verification Environment for Robot Controller.
 * File Name:    rc_c_lib_pkg.sv
 * Description:  Package for C libraries used for DPI calls.
 * Author:       Stanislav Krajcir <xkrajc06@stud.fit.vutbr.cz>
 * Supervisor:	 Marcela Simkova <isimkova@fit.vutbr.cz>   
 * Date:         25.5.2015
 * **********************************************************************************/

 package rc_c_lib_pkg;
   
   // Standard UVM import & include
   import uvm_pkg::*;
   `include "uvm_macros.svh"
   
   import "DPI-C" context function int get_data();
   
   import "DPI-C" context function int send_data(int x_speed, int y_speed);
   import "DPI-C" context function int get_speed(int a,int b,int c,int sensor0,int sensor1,int sensor2,int sensor3,int get_value_type);
   import "DPI-C" context function void set_goal(int goal_x_position, int goal_y_position);
   import "DPI-C" context function int receive_data();
   endpackage