/* **********************************************************************************
 * Project Name: Verification Environment for Robot Controller.
 * File Name:    golden_model.h
 * Description:  Header file for Golden Model.
 * Author:       Stanislav Krajcir <xkrajc06@stud.fit.vutbr.cz>
 * Supervisor:	 Marcela Simkova <isimkova@fit.vutbr.cz>   
 * Date:         25.5.2015
 * **********************************************************************************/

//#define DEBUG


int get_speed(int a, int b, int c, int sensor0, int sensor1, int sensor2, int sensor3, int get_value_type);
int y_position(int b, int c);
int x_position(int a, int b);
int reverse_x_axis(int x);
int check_direction(int *position_x, int *position_y, int *s0, int *s1, int *s2, int *s3, int *direction);
int normalize_direction(int direction);
int move(int *position_x, int *position_y, int *direction, int direction_axis);
void set_goal(int goal_x_position, int goal_y_position);

enum direction { WEST, NORTH, EAST, SOUTH };
enum map_spot { FREE, WALL };
enum type_of_value { WANT_X = 33, WANT_Y = 66 };
enum goal{ GOAL_REACHED = 123 };

/* constat variables */
const int direction_mod = 4;
								// For 16x16 maze use these values: 
const int x_dimension =  8; 		//16;
const int y_dimension =  8; 		//16;
const int box_size = 8;
const int dist_max = 9;

const int speed_multiplier = 1;


/* Globa variables for setting the goal coordinates*/
static int X_goal = 0;
static int Y_goal = 0;