 /* **********************************************************************************
 * Project Name: Verification Environment for Robot Controller.
 * File Name:    rc_agent_config.svh
 * Description:  Class represents the Configuration of Agent for Environment.
 * Author:       Stanislav Krajcir <xkrajc06@stud.fit.vutbr.cz>
 * Supervisor:	 Marcela Simkova <isimkova@fit.vutbr.cz>   
 * Date:         25.5.2015
 * **********************************************************************************/


 
 class rcAgentConfig extends uvm_object;
    
   //! UVM Factory Registration Macro
   `uvm_object_utils(rcAgentConfig)
   
  /*! 
   * Virtual interfaces for RC
   */ 
   
   virtual interfaceRCin   dut_rc_in_if;
   virtual interfaceRCout  dut_rc_out_if;
   
  /*! 
   * Data Members
   */  
   
   uvm_active_passive_enum active = UVM_ACTIVE;
	int trans_count                = TRANS_COUNT;
   
  /*!
   * Methods
   */
   
   // Standard UVM methods
   extern function new(string name = "rcAgentConfig");
   
 endclass: rcAgentConfig
 
 
 
/*! 
 * Constructor - creates the rcAgentConfig object  
 */
 function rcAgentConfig::new(string name = "rcAgentConfig");
   super.new(name);
 endfunction: new