 /* **********************************************************************************
 * Project Name: Verification Environment for Robot Controller.
 * File Name:    rc_env_config.svh
 * Description:  Class represents the Configuration object for the Environment.
 * Author:       Stanislav Krajcir <xkrajc06@stud.fit.vutbr.cz>
 * Supervisor:	 Marcela Simkova <isimkova@fit.vutbr.cz>   
 * Date:         25.5.2015
 * **********************************************************************************/

 
 class rcEnvConfig extends uvm_object;
    
   //! UVM Factory Registration Macro
   `uvm_object_utils(rcEnvConfig)
   
  /*! 
   * Data Members
   */  
   rcAgentConfig  rc_agent_cfg;   // configuration for subcomponents    
  
  /*!
   * Methods
   */
   
   // Standard UVM methods
   extern function new(string name = "rcEnvConfig");
   
 endclass: rcEnvConfig
 
 
 
/*! 
 * Constructor - creates the RC Environment Configuration object  
 */
 function rcEnvConfig::new(string name = "rcEnvConfig");
   super.new(name);
 endfunction: new 