 /* **********************************************************************************
 * Project Name: Verification Environment for Robot Controller.
 * File Name:    rc_env_pkg.svh
 * Description:  Package for Robot Controller Verification Environment.
 * Author:       Stanislav Krajcir <xkrajc06@stud.fit.vutbr.cz>
 * Supervisor:	 Marcela Simkova <isimkova@fit.vutbr.cz>   
 * Date:         25.5.2015
 * **********************************************************************************/


 package rc_env_pkg;

   // Standard UVM import & include
   import uvm_pkg::*;
   `include "uvm_macros.svh"
  
   // Package imports
   import rc_param_pkg::*;
   import rc_c_lib_pkg::*;
   import rc_seq_pkg::*;
   
   
   // Includes
   `include "rc_agent_config.svh"
   `include "rc_env_config.svh"
   `include "rc_driver.svh"
   `include "rc_monitor.svh"
   `include "rc_scoreboard.svh"
   `include "rc_agent.svh"
   `include "rc_env.svh"
     
 endpackage