 /* **********************************************************************************
 * Project Name: Verification Environment for Robot Controller.
 * File Name:    transaction_sequence.svh
 * Description:  Class represents configuration for Transaction Sequence for Robot Controller.
 * Author:       Stanislav Krajcir <xkrajc06@stud.fit.vutbr.cz>
 * Supervisor:	 Marcela Simkova <isimkova@fit.vutbr.cz>   
 * Date:         25.5.2015
 * **********************************************************************************/
 
 class TransactionSequenceConfig extends uvm_object;
    
   //! UVM Factory Registration Macro
   `uvm_object_utils(TransactionSequenceConfig)
   
  /*! 
   * Data Members
   */  
   
   // TRANSACTION PARAMETERS
   int trans_count     = TRANS_COUNT;
          
  /*!
   * Methods
   */
   
   // Standard UVM methods
   extern function new(string name = "TransactionSequenceConfig");
   
 endclass: TransactionSequenceConfig
 
 
 
/*! 
 * Constructor - creates the TransactionSequenceConfig object  
 */
 function TransactionSequenceConfig::new(string name = "TransactionSequenceConfig");
   super.new(name);
 endfunction: new 