 /* **********************************************************************************
 * Project Name: Verification Environment for Robot Controller.
 * File Name:    transaction_sequencer.svh
 * Description:  Class handels inputs for DUT and sends them to the Driver.
 * Author:       Stanislav Krajcir <xkrajc06@stud.fit.vutbr.cz>
 * Supervisor:	 Marcela Simkova <isimkova@fit.vutbr.cz>   
 * Date:         25.5.2015
 * **********************************************************************************/


 class TransactionSequencer extends uvm_sequencer #(rcInputTransaction);
    
   //! UVM Factory Registration Macro
   `uvm_component_utils(TransactionSequencer)

  /*!
   * Methods
   */
   
   // Standard UVM methods
   extern function new(string name = "TransactionSequencer", uvm_component parent = null);

 endclass: TransactionSequencer
 
 
 
/*! 
 * Constructor - creates the TransactionSequencer object  
 */
 function TransactionSequencer::new(string name = "TransactionSequencer", uvm_component parent = null);
   super.new(name, parent);
 endfunction: new 