/* **********************************************************************************
 * Project Name: Verification Environment for Robot Controller.
 * File Name:    testing_parameters.sv
 * Description:  Testing paramters of Verification Environment for Robot Controller.
 * Author:       Stanislav Krajcir <xkrajc06@stud.fit.vutbr.cz>
 * Supervisor:	 Marcela Simkova <isimkova@fit.vutbr.cz>   
 * Date:         25.5.2015
 * **********************************************************************************/

	package rc_param_pkg;
	
   // DUT GENERICS
   parameter DATA_WIDTH     = 16; // data width
   
   // CLOCKS AND RESETS			// for TRANSACTION_COMPARE_COUT = 5000 	// for TRANSACTION_COMPARE_COUT = 10    for TRANSACTION_COMPARE_COUT = 100
   parameter CLK_PERIOD     			=     30ns;
   parameter RESET_TIME    				=    100ns;  	
   parameter INITIAL_WAIT_TIME 			= 125000ns; 						//3000ns; 								// 6000ns
   parameter WAIT_TIME 					= 151000ns; 						//2500ns; 								// 5250ns
   
   // GOAL coordinates
	parameter GOAL_X = 6;
	parameter GOAL_Y = 1;
   
   // TRANSACTION COUNT - number of input transactions that will be send to the RC.
   // Must match the number of steps taken by RC in order to reach GOAL.
   parameter TRANS_COUNT              = 13;
   
   // TRANSACTION_COMPARE_COUT - number of comparisions of Robot Controller in the SCOREBOARD.
   // Must match the number of constat set in the Robot Controller's VHDL design "move.vhd".
   parameter TRANSACTION_COMPARE_COUT = 5000;
   
   
   endpackage